blfwk::MemoryImageDataSource Class Reference

Data source that takes its data from an executable image. More...

`#include <DataSource.h>`

Inheritance diagram for blfwk::MemoryImageDataSource:
[legend]
Collaboration diagram for blfwk::MemoryImageDataSource:
[legend]

## Classes

class | FillSegment
| Segment corresponding to a fill region of the executable image. More...
class | TextSegment
| Segment corresponding to a text region of the executable image. More...

## Public Member Functions

| MemoryImageDataSource (StExecutableImage *image)
| Default constructor.
virtual | ~MemoryImageDataSource ()
| Destructor.
virtual unsigned | getSegmentCount ()
| Returns the number of memory regions in the image.
virtual DataSource::Segment * | getSegmentAt (unsigned index)
| Returns the data source segment at position index.
Public Member Functions inherited from blfwk::DataSource
| DataSource ()
| Default constructor.
virtual | ~DataSource ()
| Destructor.
void | setTarget (DataTarget *target)
| Sets the associated data target.
DataTarget * | getTarget () const
| Gets the associated data target.

## Protected Types

typedef std::vector< DataSource::Segment * > | segment_array_t
| An array of segments.

## Protected Attributes

StExecutableImage * | m_image
| The memory image that is the data source.
segment_array_t | m_segments
| The array of Segment instances.
Protected Attributes inherited from blfwk::DataSource
DataTarget * | m_target
| Corresponding target for this source.

## Detailed Description

Data source that takes its data from an executable image.

See also
  StExecutableImage

The documentation for this class was generated from the following files:

- src/blfwk/DataSource.h
- src/blfwk/src/DataSource.cpp